Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85236 - Printer HP 5si produces bad output / hangs during print
Summary: Printer HP 5si produces bad output / hangs during print
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer
Version: 9
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-26 21:24 UTC by Bill Roberts
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 16:43:17 UTC


Attachments (Terms of Use)

Description Bill Roberts 2003-02-26 21:24:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Configured my HP LaserJet 5si as both a "JetDirect" and a "UNIX" printer was not
able get good printouts.

Jet Direct Mode..
1) With "text" test it LEFT SHIFTED the output two chars.
2) With "Postscript" the PAGE was LEFT SHIFED about two chars.
3) With "JPEG" the printer kicked out mutiple pages till I pulled the tray out.

UNIX Mode (to a RH 8.0 system that runs printer fine)
1,2 & )  8.1 sent to UNIX, Unix sent to PINTER, ready lite on printer flashed,
PRINTER HUNG and had to be power cycled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure "New" Printer
2. Select Queue Type (JetDirect or UNIX)
3. Enter IP/Queue or IP/9100
4. Select HP / LaserJet 5Si
5. Apply Changes
6. Run Tests from Printer Config GUI
    

Additional info:

Comment 1 Tim Waugh 2003-02-26 23:10:46 UTC
Need to know:

a) if this was an upgrade from a previous version, or a fresh install
b) the versions of redhat-config-printer, and cups or LPRng as appropriate
c) What this paragraph means (I can't understand it):

> UNIX Mode (to a RH 8.0 system that runs printer fine)
> 1,2 & )  8.1 sent to UNIX, Unix sent to PINTER, ready lite on printer flashed,
> PRINTER HUNG and had to be power cycled.

Thanks.

Comment 2 Bill Roberts 2003-02-27 15:01:21 UTC
a) if this was an upgrade from a previous version, or a fresh install
   ANS: I did a 8.1Beta upgrage of a 'fresh RH8.0 that was fully "up2date"'

b) the versions of redhat-config-printer, and cups or LPRng as appropriate
   ANS: redhat-config-printer-0.6.47-1, redhat-config-printer-gui-0.6.47-1
     cups-libs-1.1.17-13, LPRng-3.8.19-3
c) What this paragraph means (I can't understand it):

> UNIX Mode (to a RH 8.0 system that runs printer fine)
> 1,2 & )  8.1 sent to UNIX, Unix sent to PINTER, ready lite on printer flashed,
> PRINTER HUNG and had to be power cycled.

ANS:
This was the "rest of the story".  When I couldn't my 8.1beta (laptop) system to
print using the "JetDirect" mode,  I tried pointing the laptop in the "UNIX"
mode at a (know good 8.0) print server.  (This to see if my problem was
"JetDirect only")  What I found out was that I couldn't print in EITHER the UNIX
or JetDiret modes but the failures manifested in different ways dependent upon
the mode.

What I did:
1} Set up the UNIX mode
2) Tried to print from the 8.1 (laptop) to server (8.0).
Result:
1) que transfer from 8.1 to 8.0 went fine.  
2) The server (8.0) sent the file to the printer and flushed the que.
3  THE PRINTER HUNG and had to be power cycled to reset.

I think this may be the same problem and that it just shows up differently
depending if you print "JetDirect" or "UNIX".

Summary:
JetDirect = Bad Output
UNIX mode = Hung Printer

Bill Roberts



Comment 3 Tim Waugh 2003-03-05 17:54:49 UTC
So there are basically two issues here:

1. Margin problems.

   For this problem, I think the first thing to do is to try different drivers.
 For this printer (5si) there are actually two entries for that printer in the
printing configuration tool: one is 'LaserJet 5si' and the other is 'LaserJet
5si/...' (a combination of several models).  The first one has several possible
drivers listed, so try each driver and compare.

2. LPD transport causes printer hang.

Let's concentrate on the margin problems first of all, or else we'll be changing
too many variables at once.

Comment 4 Bill Roberts 2003-03-19 15:13:34 UTC
Margins.. more info..
Setup..
1) Printer is "5si MX" from printer's built in test page.
2) I set up printer using "HP" with line for "LaserJet 5si/5si Mx/5si Mopier"

Tests..
Built In's
"US Letter Postscript test page" --> Shifted Right two chars
"ASCII text test page"  --> Shifted Right two chars
My Own..
Text file of 80 chars (numbers) -->  got two blanks and first 78 chars
  last two chars did not print.

Comment 5 Tim Waugh 2003-04-01 12:59:27 UTC
I suggest trying the '5si' model and each of the drivers listed there.  It
sounds like a problem with the Omni driver.

Comment 6 Tim Waugh 2003-11-11 13:08:27 UTC
Did you try that driver?

Comment 7 Johnny F. Balladares 2004-01-27 18:04:46 UTC
Hi,
I have the same problem, this start after I did the update.
I tried all the drivers without a luck. With HP 4si it prints but it 
leave a blank in the middle of the page (like cut it in three parts) 
with HP 5si(both drivers) it doesn't print at all.
How can I uninstall the update?
How can I reinstall the print system files?
Tks n advance
JFB


Comment 8 Tim Waugh 2004-01-30 10:12:16 UTC
Johnny: please be specific -- which update (from what to what) caused
this to start?

Comment 9 Tim Waugh 2005-09-16 16:43:17 UTC
No feedback.


Note You need to log in before you can comment on or make changes to this bug.